<div>
  <div class="row d-flex justify-content-center">
    <div class="col-md-12 col-lg-10">
      <div class="card text-dark">
        <% if @messages.empty? %>
          <div class="card-body p-4">
            <h4 class="mb-0">Messages</h4>
            <a href=<%= new_message_path %> style="text-decoration: none; text-color: black;"><p class="fw-light mb-4 pb-2">Create new <i class="fas fa-plus-circle"></i></p></a>
          </div>
        <% end %>
        
        <% @messages.each do |m| %>
        <div class="card-body p-4">

          <% if m == @messages.first %>
            <h4 class="mb-0">Messages</h4>
            <a href=<%= new_message_path %> style="text-decoration: none; text-color: black;"><p class="fw-light mb-4 pb-2">Create new <i class="fas fa-plus-circle"></i></p></a>
          <% end %>

          <div class="d-flex flex-start">
            <img class="rounded-circle shadow-1-strong me-3"
              src="https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fcdn2.iconfinder.com%2Fdata%2Ficons%2Favatars-99%2F62%2Favatar-366-456318-512.png&f=1&nofb=1&ipt=17fe6afeee92f1939ed62f04fbbef235329395eb64ed7dd86ee5c31f15c32204&ipo=images" alt="avatar" width="60"
              height="60" />
            <div>
              <h6 class="fw-bold mb-1"><%= check_xss_render(m.user.name) %></h6>
              <div class="d-flex align-items-center mb-3">
                <p class="mb-0">
                  <a href=<%= message_path(m) %>><span class="badge bg-primary">ID: <%= m.id %></span></a>
                </p>
                <% if can_edit(m, current_user) %><a href=<%= edit_message_path(m) %>><i class="fas fa-pencil-alt ms-2"></i></a><% end %>
                <% if can_delete(m, current_user) %><a href=<%= "/messages/#{m.id}/delete" %>><i class="fas fa-eraser ms-2"></i></a><% end %>
              </div>
              <h4><%= check_xss_render(m.title) %></h4>
              <p class="mb-0"><%= check_xss_render(m.body) %></p>
            </div>
          </div>
        </div>

        <hr class="my-0" />
        <% end %>
      </div>
    </div>
  </div>
</div>